/*******************************************************************************

* Copyright (c) 2006 IONA Technologies PLC

* All rights reserved. This program and the accompanying materials

* are made available under the terms of the Eclipse Public License v1.0

* which accompanies this distribution, and is available at

* http://www.eclipse.org/legal/epl-v10.html

* 

* Contributors:

*     IONA Technologies PLC - initial API and implementation

*******************************************************************************/
package org.eclipse.stp.sc.xmlvalidator.classbuilder;

/**
 * @author jma
 *
 */
public interface JVisitor {
	
	public void setConstantPool(JConstantPool value) throws Exception;
    public void visitClass(JClass cls) throws Exception;
    public void visitMethod(JMethod method) throws Exception;
    public void visitField(JField field) throws Exception;
    public void visitConstantPool(JConstantPool pool) throws Exception;
    public void visitCodeStep(JCodeStep code) throws Exception;
}
